<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" >
<components>
    <component>
        <name>org.richfaces.InplaceInput</name>
        <family>org.richfaces.InplaceInput</family>
        <classname>
            org.richfaces.component.html.HtmlInplaceInput
        </classname>
        <superclass>org.richfaces.component.UIInplaceInput</superclass>
		<test>
			<classname>org.richfaces.component.html.HtmlInplaceInputComponentTest</classname>
			<superclassname>org.ajax4jsf.tests.AbstractAjax4JsfTestCase</superclassname>
		</test>
        <description>
            <![CDATA[  ]]>
        </description>
		<renderer  generate="true" override="true">
			<name>org.richfaces.renderkit.InplaceInputRenderer</name>
			<template>inplaceinput.jspx</template>
		</renderer>
       	
       	<tag>
       		<name>inplaceInput</name>
            <classname>org.richfaces.taglib.InplaceInputTag</classname>
            <superclass>
				org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
			</superclass>
			<test/>
       	</tag>
       	<properties>
       		<property>
       			<name>value</name>
       			<classname>java.lang.String</classname>
       			<description></description>
       		</property>
       		<property>
       			<name>layout</name>
       			<classname>java.lang.String</classname>
       			<description>inline/block</description>
       			<defaultvalue><![CDATA["inline"]]></defaultvalue>
       		</property>
       		<property>
		  		<name>maxInputWidth</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["500px"]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>minInputWidth </name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["40px"]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>inputWidth</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	
		  	<property>
		  		<name>defaultLabel</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["\u00a0\u00a0\u00a0"]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>showControls</name>
		  		<classname>boolean</classname>
		  		<description></description>
		  		<defaultvalue>false</defaultvalue>
		  	</property>
		  	<property>
		  		<name>editEvent</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["onclick"]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>controlsVerticalPosition</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["center"]]></defaultvalue>
		  	</property>
		  	
		  	<property>
		  		<name>controlsHorizontalPosition</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["right"]]></defaultvalue>
		  	</property>
		  	
		  	<property>
		  		<name>oneditactivation</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>onviewactivation</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>oneditactivated</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>onviewactivated</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>selectOnEdit</name>
		  		<classname>boolean</classname>
		  		<description></description>
		  		<defaultvalue>false</defaultvalue>
		  	</property>
		  	<property>
		  		<name>tabindex</name>
		  		<classname>int</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>saveControlIcon</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>cancelControlIcon</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	
		  	<property>
		  		<name>styleClass</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>viewClass</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>editClass</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>changedClass</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>controlClass</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>viewHoverClass</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>changedHoverClass</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>controlPressedClass</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>controlHoverClass</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>onchange</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	
		  	<property>
		  		<name>onselect</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>onfocus</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>onblur</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
        		<name>oninputclick</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: a script expression; a pointer button is clicked</description>
        	</property>
    		<property>
        		<name>oninputdblclick</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: a script expression; a pointer button is double-clicked</description>
    		</property>
    		<property>
        		<name>oninputkeydown</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: a script expression; a key is pressed down</description>
    		</property>
    		<property>
        		<name>oninputkeypress</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: a script expression; a key is pressed and released</description>
    		</property>
    		<property>
        		<name>oninputkeyup</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: a script expression; a key is released</description>
    		</property>
    		<property>
        		<name>oninputmousedown</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: script expression; a pointer button is pressed down</description>
    		</property>
    		<property>
        		<name>oninputmousemove</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: a script expression; a pointer is moved within</description>
    		</property>
    		<property>
        		<name>oninputmouseout</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: a script expression; a pointer is moved away</description>
    		</property>
    		<property>
        		<name>oninputmouseover</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: a script expression; a pointer is moved onto</description>
    		</property>
    		<property>
        		<name>oninputmouseup</name>
        		<classname>java.lang.String</classname>
        		<description>HTML: script expression; a pointer button is released</description>
    		</property>
		  	&html_events;
		  	&ui_input_attributes;
		  	<property hidden="true">
        		<name>localValueSet</name>
        		<classname>boolean</classname>
        		<description></description>
    		</property>
    		<property hidden="true">
        		<name>valid</name>
        		<classname>boolean</classname>
        		<description></description>
    		</property>
		  	
		</properties>    
    </component>
</components>
